import request from '@/utils/request'

// 审核/提交项目
export function setExamine(data) {
  return request({
    url: '/bmProject/project/examine',
    method: 'post',
    data: data
  })
}
// 驳回项目
export function setReject(data) {
  return request({
    url: '/bmProject/project/reject',
    method: 'post',
    data: data
  })
}

// 项目管理-线索添加
export function listProject(data) {
  return request({
    url: '/bmProject/project',
    method: 'post',
    data: data
  })
}

// 查询项目-线索信息列表
export function listInfo(query) {
  return request({
    url: '/bmProject/project/list',
    method: 'get',
    params: query
  })
}

// 查询项目-线索信息详细
export function getInfo(id) {
  return request({
    url: '/projectInfo/info/' + id,
    method: 'get'
  })
}

// 新增项目-线索信息
export function addInfo(data) {
  return request({
    url: '/projectInfo/info',
    method: 'post',
    data: data
  })
}

// 修改项目-线索信息
export function updateInfo(data) {
  return request({
    url: '/projectInfo/info',
    method: 'put',
    data: data
  })
}

// 删除项目-线索信息
export function delInfo(id) {
  return request({
    url: '/bmProject/project/' + id,
    method: 'delete'
  })
}

// 导出项目-线索信息
export function exportInfo(query) {
  return request({
    url: '/projectInfo/info/export',
    method: 'get',
    params: query
  })
}
